### Enumeration

# GtkDeleteType

#### Declaration

    enum Gtk.DeleteType

#### Description [src]

Passed to various keybinding signals for deleting text.

#### Members

`GTK_DELETE_CHARS`

  Delete characters.

  - Value: `0`
  - Nickname: `chars`
  - Available since: 4.0
`GTK_DELETE_WORD_ENDS`

  Delete only the portion of the word to the left/right of cursor if we’re in the middle of a word.

  - Value: `1`
  - Nickname: `word-ends`
  - Available since: 4.0
`GTK_DELETE_WORDS`

  Delete words.

  - Value: `2`
  - Nickname: `words`
  - Available since: 4.0
`GTK_DELETE_DISPLAY_LINES`

  Delete display-lines. Display-lines refers to the visible lines, with respect to the current line breaks. As opposed to paragraphs, which are defined by line breaks in the input.

  - Value: `3`
  - Nickname: `display-lines`
  - Available since: 4.0
`GTK_DELETE_DISPLAY_LINE_ENDS`

  Delete only the portion of the display-line to the left/right of cursor.

  - Value: `4`
  - Nickname: `display-line-ends`
  - Available since: 4.0
`GTK_DELETE_PARAGRAPH_ENDS`

  Delete to the end of the paragraph. Like C-k in Emacs (or its reverse).

  - Value: `5`
  - Nickname: `paragraph-ends`
  - Available since: 4.0
`GTK_DELETE_PARAGRAPHS`

  Delete entire line. Like C-k in pico.

  - Value: `6`
  - Nickname: `paragraphs`
  - Available since: 4.0
`GTK_DELETE_WHITESPACE`

  Delete only whitespace. Like M-\ in Emacs.

  - Value: `7`
  - Nickname: `whitespace`
  - Available since: 4.0